MISSINdevelopersLog in

API reference

WaitlistDetail

Get one waitlist by slug with its settings and verified domains. Read access, waitlists toolset, MCP tool get_waitlist.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
slugString!yesChecks for equality with the object’s slug field.

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDetail","variables":{"slug":"…"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"6c9b052f4e6ffd55802eeb308cc1cd303a8f475a0323317a8dcac57120d35f1e"}}}'

Document

graphql
query WaitlistDetail($slug: String!) { __typename allConnectionDomains(first: 1) { __typename nodes { __typename domain id } } allWaitlists(condition: {slug: $slug}, first: 1) { __typename nodes { __typename createdAt doubleOptIn formByFormId { __typename formPlacementsByFormId { __typename nodes { __typename config id lastSyncedAt published rowId status surface } } formSlug id isSystem rowId status title } formId id incentiveByIncentiveId { __typename icon iconColor id incentiveRulesByIncentiveId { __typename nodes { __typename connectionId discountCodeByDiscountCodeId { __typename code id usageLimit } discountCodeId poolFree: discountCodePoolEntriesByIncentiveRuleId( filter: {claimedByGrantId: {isNull: true}} ) { __typename totalCount } id kindSlug outcome rowId terms } } name rowId status } incentiveId name notifyEmails releasedAt releasedMessage retentionDays rowId shopifyProductGid slug status signups: waitlistSignupsByWaitlistId { __typename byStatus: groupedAggregates(groupBy: [STATUS]) { __typename distinctCount { __typename rowId } keys } totalCount } } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.